##############################################################################
#
# Copyright (c) 2003 gocept gmbh & co. kg. All rights reserved.
#
# See also LICENSE.txt
#
##############################################################################
"""CMF link checker customized http connection. (yet unused)

$Id: httpclient.py,v 1.2 2003/10/04 07:11:07 ctheune Exp $"""

import socket
import httplib
import time

class TimeOut(Exception):
    pass

myHTTPConnection = httplib.HTTPConnection

class my2HTTPConnection(httplib.HTTPConnection):

    def __init__(self, host, port, timeout):
        httplib.HTTPConnection.__init__(self, host, port)
        self.timeout = timeout

    def send(self,str):
        if self.sock is None:
            if self.auto_open:
                self.connect()
            else:
                raise httplib.NotConnected()

        # that's the new code
        self.sock.setblocking(0)

        time1 = time.time()
        while 1:
            try:
                self.sock.sendall(str)
            except socket.error, v:
                if v[0] == 32:      # Broken pipe
                    self.close()
                    raise
                if v[0] == 35:      # Would block
                    continue

            time.sleep(0.001)
            time2 = time.time()
            if time2-time1 > self.timeout:
                raise "Timeout", time2-time1
            if self.debuglevel > 0:
                print "send:", repr(str)

