##############################################################################
#
# Copyright (c) 2003 gocept gmbh & co. kg. All rights reserved.
#
# See also LICENSE.txt
#
##############################################################################
"""HTTP 1.1 status code definitions

$Id: httpcodes.py,v 1.1 2003/11/15 17:32:53 ctheune Exp $"""
    
http_codes = {
        100     :       (1, 'Continue'),
        101     :       (1, 'Switching Protocols'),

        200     :       (1, 'OK'),
        201     :       (1, 'Created'),
        202     :       (1, 'Accepted'),
        203     :       (1, 'Non-Authoritative Information'),
        204     :       (1, 'No Content'),
        205     :       (1, 'Reset Content'),
        206     :       (1, 'Partial Content'),

        300     :       (1, 'Multiple Choices'),
        301     :       (1, 'Moved Permanently'),
        302     :       (1, 'Found'),
        303     :       (1, 'See Other'),
        304     :       (1, 'Not Modified'),
        305     :       (1, 'Use Proxy'),
        306     :       (1, '(Unused)'),
        307     :       (1, 'Temporary Redirect'),

        400     :       (0, 'Bad Request'),
        401     :       (0, 'Unauthorized'),
        402     :       (0, 'Payment required'),
        403     :       (0, 'Forbidden'),
        404     :       (0, 'Not Found'),
        405     :       (0, 'Method Not Allowed'),
        406     :       (0, 'Not Acceptable'),
        407     :       (0, 'Proxy Authentication Required'),
        408     :       (0, 'Request Timeout'),
        409     :       (0, 'Conflict'),
        410     :       (0, 'Gone'),
        411     :       (0, 'Length Required'),
        412     :       (0, 'Precondition failed'),
        413     :       (0, 'Request Entity Too Large'),
        414     :       (0, 'Request-URI Too Long'),
        415     :       (0, 'Unsupported Media Type'),
        416     :       (0, 'Request Range Not Satisfiable'),
        417     :       (0, 'Expectation Failed'),

        500     :       (0, 'Internal Server Error'),
        501     :       (0, 'Not Implemented'),
        502     :       (0, 'Bad Gateway'),
        503     :       (0, 'Service Unavailable'),
        504     :       (0, 'Gateway Timeout'),
        505     :       (0, 'HTTP Version Not Supported')

        }
